> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/th/phatthana/chiliz-chain-api.md).

# Chiliz Chain API

Chiliz Chain API ให้การเข้าถึงข้อมูลที่มีประโยชน์เกี่ยวกับปริมาณ CHZ และการกำกับดูแล รวมถึงรายละเอียดปริมาณที่หมุนเวียนถึงบล็อกที่กำหนด และข้อมูลการ staking สำหรับที่อยู่ที่ระบุ

## รายละเอียด API

### Base URL

Base URL ของ API คือ `https://cc-api.chiliz.com/`

เอกสาร Swagger เริ่มต้นสามารถเข้าถึงได้ที่: <https://cc-api.chiliz.com/docs>

### การยืนยันตัวตน

Chiliz Chain API ใช้ [OpenAPI Specification](https://www.openapis.org/) (OAS) v3.0.3 สำหรับการกำหนด security schemes

โปรดอ้างอิง [OAS 3.0 specification](https://spec.openapis.org/oas/v3.0.3.html) เพื่อดูรายละเอียดเกี่ยวกับวิธีการยืนยันตัวตน เนื่องจากวิธีการยืนยันตัวตนเฉพาะไม่ได้ระบุไว้ในเอกสารนี้

### รูปแบบข้อมูล

คำขอและการตอบสนองทั้งหมดอยู่ในรูปแบบ JSON

## Endpoints

### GET /supply

ดึงข้อมูลปริมาณ CHZ ที่หมุนเวียนในปัจจุบันถึงหมายเลขบล็อกที่กำหนด พร้อมกับข้อมูล inflation และ deflation เฉพาะบล็อก

## GET /supply

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/supply":{"get":{"parameters":[{"schema":{"type":"number"},"in":"query","name":"block","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"block":{"type":"string"},"totalSupply":{"type":"string"},"blockDeflation":{"type":"string"},"blockInflation":{"type":"string"},"totalBurnedSupply":{"type":"string"},"totalIntroducedSupply":{"type":"string"}},"required":["block","totalSupply","blockDeflation","blockInflation","totalBurnedSupply","totalIntroducedSupply"],"additionalProperties":false}}}}}}}}}
```

### GET /staker-info

ดึงข้อมูลจำนวน staked ทั้งหมดในปัจจุบันและรางวัลการ staking สำหรับที่อยู่เฉพาะถึง epoch number หนึ่ง พร้อมกับรายละเอียดว่า CHZ ถูก stake ไว้ที่ไหน (validators และจำนวน)

## GET /staker-info

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/staker-info":{"get":{"parameters":[{"schema":{"type":"string"},"in":"query","name":"validator","required":false},{"schema":{"type":"string"},"in":"query","name":"staker","required":true},{"schema":{"type":"number"},"in":"query","name":"toEpoch","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"totalRewards":{"type":"string"},"stakedAmount":{"type":"string"},"allStakes":{"type":"array","items":{"type":"object","properties":{"validator":{"type":"string"},"stakedAmount":{"type":"number"}},"required":["validator","stakedAmount"],"additionalProperties":false}}},"required":["totalRewards","stakedAmount","allStakes"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/th/phatthana/chiliz-chain-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
